%{?nodejs_find_provides_and_requires}
%global packagename unpipe
%global enable_tests 1
Name:                  nodejs-unpipe
Version:               1.0.0
Release:               1
Summary:               Unpipe a stream from all destinations
License:               MIT
URL:                   https://github.com/stream-utils/unpipe
Source0:               https://github.com/stream-utils/unpipe/archive/v%{version}.tar.gz
ExclusiveArch:         %{nodejs_arches} noarch
BuildArch:             noarch
BuildRequires:         nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:         mocha npm(readable-stream)
%endif
Requires:              nodejs
%description
Unpipe a stream from all destinations

%prep
%autosetup -n unpipe-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/%{packagename}
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Aug 12 2020 zhanghua <zhanghua40@huawei.com> - 1.0.0-1
- package init
